Subject: Re: libvirt-daemon-system should not depend on policykit-1

From: Mark Hindley <[email-masked]>
Date: Sat, 15 Aug 2020 19:08:39 +0100

On Sat, Aug 15, 2020 at 03:49:54PM +0200, Thierry B. wrote:
> Le 15/08/2020 à 12:04, Mark Hindley a écrit :
> 
> 
> > 
> > I have had a quick look and these issues struck me as needing attention:
> > 
> > d/control:
> > 
> >  - Set yourself as maintainer.
> >  - Remove uploaders (or replace with Andreas Messer?)> 
> > You may have seen that Andreas Messer also offered to help.  So you may want to
> > do this jointly? The d/control Maintainer field can only take a single email address, but
> > other addresses can be added to Uploaders.
> 
> Not commited yet.
> Please explain the difference between Maintainer and Uploader.

The Maintainer is a single email address. It is used by the BTS to forward
bugs to. It doesn't indicate sole responsibility, but is the central contact
point.

Uploaders are other people who share responsibility for a package. There can be
any number of these.

> I do not want to set myself as the maintainer as i'm not even able to
> handle the whole build process on my computer and test the new deb on my
> computer. I am still stucked at the build error and the build-dependency
> problem. I am puzzled with your sentence:
> 
> > One of the nice things about gbp is you don't have to worrk about build-deps --
> > it handles that for you cleanly in the build chroot without messing with the
> > host system.
> 
> I would like to solve this problem.

We use gbp with pbuilder/cowbuilder. That means that the host system delegates the build
process to the pbuilder/cowbuilder chroot. That means you can test builds for
other architecture and suites other than the host system.

So first you set up the pbuilder/cowbuilder chroot with

 gbp --git-pbuilder --git-dist=ceres create --mirror http://pkgmaster.devuan.org/merged

That should create an unstable chroot in /var/cache/pbuilder/base-ceres.cow/

Then you build packages using that chroot. As part of this gbp will temporarily install the
necessary build-deps.

 gbp --git-pbuilder --git-dist=ceres --git-export-dir=../build

I use --git-export-dir so the working tree doesn't get changed by the build
process.

Does that make sense.

As far as your build failure goes:-

 - Do you have stray/old source tarballs in the parent directory? That might
   cause it. Try deleting them and letting gbp regenerate them.
  
 - Have you correctly tagged the upstream release? I think you need
   upstream/6.5.0 on commit 38c0fa742. That is how gbp generates the orig.tar.gz

 - If that doesn't work, try the build with --git-verbose and see if that
   produces more helpful error messages.

Hope that helps.

Mark